Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List message delivery attempts and recipient addresses.

List message delivery attempts and recipient addresses. An organization-scoped read using JSON filter arguments; requires communications.messages.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_notification_deliveries
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
pagination_optsobjectrequired
Show properties
cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
num_itemsintegerrequired
min 1 · max 100
statusstring
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
Responses
200

Successful read.

dataobjectrequired
Show properties
pageobject[]required
Show properties
Array of object
attempt_numbernumberrequired
cancellation_requested_atstring<date-time>
channelstringrequired
Show properties
Any of:
string
string
string
string
string
string
completed_atstring<date-time>
component_email_idstring
created_atstring<date-time>required
email_identityobject
Show properties
fromstringrequired
logo_urlstring
namestringrequired
postal_addressstring
reply_to_emailstring
error_codestring
event_idstringrequired

Opaque Soljio resource ID.

min length 1
organization_idstringrequired

Opaque Soljio resource ID.

min length 1
providerstringrequired
Show properties
Any of:
string
string
string
string
string
string
provider_message_idstring
provider_request_idstring
recipient_idstringrequired

Opaque Soljio resource ID.

min length 1
retryableboolean
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
template_sourcestring
Show properties
Any of:
string
string
string
string
template_versionnumber
_idstringrequired

Opaque Soljio resource ID.

min length 1
_creation_timenumberrequired
event_typestring | nullrequired
Show properties
Any of:
string
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
null
null
recipient_addressstring | nullrequired
Show properties
Any of:
string
string
null
null
continue_cursorstringrequired
is_donebooleanrequired
split_cursorstring | null
Show properties
Any of:
string
string
null
null
page_statusstring | null
Show properties
Any of:
string
string
string
string
null
null
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_notification_deliveries' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "pagination_opts": {
    "cursor": "string",
    "num_items": 1
  },
  "status": "attempting"
}'
Response
{
  "data": {
    "page": [
      {
        "attempt_number": 0,
        "cancellation_requested_at": "2019-08-24T14:15:22Z",
        "channel": "email",
        "completed_at": "2019-08-24T14:15:22Z",
        "component_email_id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "email_identity": {
          "from": "string",
          "logo_url": "string",
          "name": "string",
          "postal_address": "string",
          "reply_to_email": "string"
        },
        "error_code": "string",
        "event_id": "string",
        "organization_id": "string",
        "provider": "resend",
        "provider_message_id": "string",
        "provider_request_id": "string",
        "recipient_id": "string",
        "retryable": true,
        "status": "attempting",
        "template_source": "system",
        "template_version": 0,
        "_id": "string",
        "_creation_time": 0,
        "event_type": "platform_billing_recovery_reminder",
        "recipient_address": "string"
      }
    ],
    "continue_cursor": "string",
    "is_done": true,
    "split_cursor": "string",
    "page_status": "SplitRecommended"
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}